<div class="content">
    <div class="header"><h1>Mi Cuenta</h1></div>
    <form class="form" method="post">
      <div class="form-column">
      <label for="nombre">Nombre:</label>
      <input type="text" [(ngModel)]="user.nombre" name="nombre" id="nombre" onkeydown="return /[a-zA-ZÑñÁÉÍÓÚáéíóú, ]/i.test(event.key)" maxlength="50"/>
      <label for="apellidos">Apellidos:</label>
      <input type="text" [(ngModel)]="user.apellidos" name="apellidos" id="apellidos" onkeydown="return /[a-zA-ZÑñÁÉÍÓÚáéíóú, ]/i.test(event.key)" maxlength="50"/>
      @if (habilita) {
      <label for="direccion">Dirección:</label>
      <input type="text" [(ngModel)]="user.direccion" name="direccion" id="direccion"/>
      }
      </div>
      <div class="form-column">
      <label for="telefono">Teléfono </label>
      <input type="text" [(ngModel)]="user.telefono" name="telefono" id="telefono" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="10" />
      <label for="correo">Correo electrónico </label>
      <input type="text" [(ngModel)]="user.correo" name="correo" id="correo" onkeydown="return /[a-zA-Z0-9@.]/i.test(event.key)" maxlength="100" />
      <label for="password">Password <span style="color: red; font-size: 16px;">usar algún carácter: !#$%* </span></label>
      <input type="password" [(ngModel)]="user.password" name="password" id="password" onkeydown="return /[a-zA-Z0-9!#$%*]/i.test(event.key)" maxlength="10" />
      </div>
      <div class="nota">
        Por motivos de seguridad la dirección será modificada por el Administrador.
      </div>
      <div class="botones">
        <button (click)="guardar()"><span>Guardar</span></button>
      </div>
    </form>
  </div>